gutenprint-version.h File Reference

Version functions. More...

## Macros

#define | STP_MAJOR_VERSION (5)
#define | STP_MINOR_VERSION (3)
#define | STP_MICRO_VERSION (4)
#define | STP_CURRENT_INTERFACE (14)
#define | STP_BINARY_AGE (5)
#define | STP_INTERFACE_AGE (0)
#define | STP_CHECK_VERSION(major, minor, micro)

## Functions

const char * | stp_check_version (unsigned int required_major, unsigned int required_minor, unsigned int required_micro)
| Check whether the library provides the requested version.

## Variables

const unsigned int | stp_major_version
| The library major version number.
const unsigned int | stp_minor_version
| The library minor version number.
const unsigned int | stp_micro_version
| The library micro version number.
const unsigned int | stp_current_interface
| The library ABI revision number (number of incompatible revisions).
const unsigned int | stp_binary_age
| The library ABI binary age number (number of forward-compatible revisions).
const unsigned int | stp_interface_age
| The library ABI interface age number (number of revisions of this ABI).

## Detailed Description

Version functions.